Bug 99324 - Installing Ximian RPMS as part of kickstart gives unhandled exception
Installing Ximian RPMS as part of kickstart gives unhandled exception
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2003-07-17 14:16 EDT by Laurie Reeves
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-21 08:42:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The text saved by Anaconda (109.50 KB, text/plain)
2003-07-17 14:19 EDT, Laurie Reeves
no flags Details
Rpm that crashes anaconda (67.66 KB, application/octet-stream)
2003-08-13 21:38 EDT, Laurie Reeves
no flags Details

  None (edit)
Description Laurie Reeves 2003-07-17 14:16:56 EDT
Description of problem:
When installing a custom set of RPMS including the Ximian rpms an 'unhandled
exception occurred'.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create redhat install structure from redhat's rpms, our custom rpms, and
Ximain rpms. 
2. Insert RH9 cd1
3. type 'linux ks='
Actual results:
Unhandled exception when installing the first Ximian rpm. BTW, we know our
install structure works because it installs fine with our custom rpms and
Redhat. This exception only happens with Ximian RPMS.

Expected results:
A shiny new Redhat System with our custom rpms and Ximian rpms.

Additional info:
See attached file.
Comment 1 Laurie Reeves 2003-07-17 14:19:44 EDT
Created attachment 92982 [details]
The text saved by Anaconda
Comment 2 Jeremy Katz 2003-07-17 14:46:40 EDT
This isn't something that we can really support, but is there a package there
that's a size of zero?
Comment 3 Laurie Reeves 2003-07-17 15:47:51 EDT
No, the RPM is definitely not of size zero. All the rpms install fine post
install. It is apparent that "# RPM returns strange values sometimes"
(/usr/lib/anaconda/packages.py:354). What is the cause of these strange values?
Perhaps a zero check for 'amount' (/usr/lib/anaconda/packages.py:355-359) would
be appropriate?
Comment 4 Laurie Reeves 2003-08-11 13:50:32 EDT
Since my last posting a workaround was found. We rebuilt the Ximain rpms from
the  source rpms downloaded from Ximian's website. The rebuilt rpms could then
be installed by anaconda without crashing. Unfortunately, this is awkward and
complicates our install process, a more elegant solution would be appreciated.
Comment 5 Jeremy Katz 2003-08-12 21:10:36 EDT
Can you attach the Ximian gal-0.23-1.ximian.6.6 package to this bug report (or
email it to me)?  There's got to be something odd with the package, I'm just not
sure what without the package :/
Comment 6 Laurie Reeves 2003-08-13 21:38:39 EDT
Created attachment 93632 [details]
Rpm that crashes anaconda

The rpm is small, I'll attach it.

Anaconda crashed not only with the 'gal' rpm, but with several of Ximain's
rpms. The 'gal' rpm just happed to be the first installed on the run that I
posted the debug output for. At first, I tried rebuilding only the gal rpm and
trying the install again, but the next Ximian rpm to be installed crashed
anaconda (I forget which package it was, if you require I can figure it out). 

I assume all the pre-built ximain rpms produced similar results. I believe they
were attained from:

Comment 7 Jeremy Katz 2003-09-02 15:34:26 EDT
I put  more checks to try to keep this from ever possibly happening.

Note You need to log in before you can comment on or make changes to this bug.